VoiceDock Docs
ApiS I P Trunks

List SIP trunks

Retrieve all SIP trunks configured for your organization's call transfers.

GET
/sip-trunks

Retrieve all SIP trunks configured for your organization's call transfers.

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/sip-trunks"
{
  "trunks": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "Main Office PBX",
      "provider": "Twilio",
      "address": "sip.twilio.com",
      "auth_username": "string",
      "numbers": [
        "string"
      ],
      "transport": "udp",
      "is_active": true,
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Invalid API key",
  "message": "string"
}